export declare enum JudoPaymentSummaryItemType {
    Final = 0,
    Pending = 1
}
export interface JudoPaymentSummaryItem {
    label: string;
    amount: string;
    type?: JudoPaymentSummaryItemType;
}
export declare enum JudoMerchantCapability {
    ThreeDS = 1,
    EMV = 2,
    Credit = 4,
    Debit = 8,
    All = 16
}
export declare enum JudoContactField {
    PostalAddress = 1,
    Phone = 2,
    Email = 4,
    Name = 8,
    All = 16
}
export interface JudoShippingMethod {
    identifier: string;
    detail: string;
    label: string;
    amount: string;
    type: JudoPaymentSummaryItemType;
}
export declare enum JudoShippingType {
    Shipping = 0,
    Delivery = 1,
    StorePickup = 2,
    ServicePickup = 3
}
export declare enum JudoReturnedInfo {
    BillingDetails = 1,
    ShippingDetails = 2,
    All = 4
}
export declare enum JudoCalendarUnit {
    Year = 1,
    Month = 2,
    Day = 3,
    Hour = 4,
    Minute = 5
}
export interface JudoRecurringPaymentSummaryItem extends JudoPaymentSummaryItem {
    startDate?: string;
    endDate?: string;
    intervalUnit?: JudoCalendarUnit;
    intervalCount?: number;
}
export interface JudoApplePayRecurringPaymentRequest {
    paymentDescription: string;
    managementURL: string;
    regularBilling: JudoRecurringPaymentSummaryItem;
    trialBilling?: JudoRecurringPaymentSummaryItem;
    billingAgreement?: string;
    tokenNotificationURL?: string;
}
export interface JudoApplePayConfiguration {
    merchantId: string;
    countryCode: string;
    paymentSummaryItems: JudoPaymentSummaryItem[];
    merchantCapabilities?: JudoMerchantCapability;
    requiredBillingContactFields?: JudoContactField;
    requiredShippingContactFields?: JudoContactField;
    shippingMethods?: JudoShippingMethod[];
    shippingType?: JudoShippingType;
    returnedInfo?: JudoReturnedInfo;
    recurringPaymentRequest?: JudoApplePayRecurringPaymentRequest;
}
//# sourceMappingURL=judo-apple-pay-configuration.d.ts.map