export declare enum JudoGooglePayEnvironment {
    TEST = 0,
    PRODUCTION = 1
}
export declare enum JudoAddressFormat {
    MIN = 0,
    FULL = 1
}
export interface JudoBillingAddressParameters {
    addressFormat: JudoAddressFormat;
    isPhoneNumberRequired: boolean;
}
export interface JudoShippingAddressParameters {
    allowedCountryCodes?: string[];
    isPhoneNumberRequired: boolean;
}
export declare enum JudoGooglePayPriceStatus {
    FINAL = 0,
    ESTIMATED = 1,
    NOT_CURRENTLY_KNOWN = 2
}
export declare enum JudoCheckoutOption {
    DEFAULT = 0,
    COMPLETE_IMMEDIATE_PURCHASE = 1
}
export interface JudoGooglePayConfiguration {
    environment: JudoGooglePayEnvironment;
    merchantName?: string;
    countryCode: string;
    transactionId?: string;
    totalPriceStatus: JudoGooglePayPriceStatus;
    totalPriceLabel?: string;
    checkoutOption?: JudoCheckoutOption;
    isEmailRequired?: boolean;
    isBillingAddressRequired: boolean;
    billingAddressParameters?: JudoBillingAddressParameters;
    isShippingAddressRequired: boolean;
    shippingAddressParameters?: JudoShippingAddressParameters;
    allowPrepaidCards?: boolean;
    allowCreditCards?: boolean;
}
//# sourceMappingURL=judo-google-pay-configuration.d.ts.map